Bug 185992 - Had to reboot to get vpnc config settings enabled
Had to reboot to get vpnc config settings enabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
bzcl34nup
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-20 15:14 EST by Tim Burke
Modified: 2008-05-06 11:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:35:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Burke 2006-03-20 15:14:22 EST
Installed NetworkManager-vpnc
Then went in to th applet menu VPN Connections -> Configure VPN
There I click "Add" and entered the config settings for the RH VPN
now I close out of that

Back on the NetworkManager applet, I'm expecting to see the new connection name
there (Red Hat VPN).  However I don't, its not listed.  Now I go back to
Configure VPN and see that the Red Hat VPN settings are there (so it didn't
forget about it).  Consequently I couldn't get it to use/enable this VPN config.  

Then I rebooted and things worked fine: the "Red Hat VPN" now appears under "VPN
Connections".

This bug is to note that the initial time you create a new connection config the
applet can't use it until its restarted.
Comment 1 Bill Nottingham 2006-04-10 13:19:39 EDT
Looks like you have to restart the NM daemon.
Comment 2 Bernard Johnson 2006-07-11 22:39:18 EDT
This is also true of NetworkManager-openvpn.
Comment 3 Denis Leroy 2006-09-28 19:39:01 EDT
Taking ownership.
Comment 4 Matěj Cepl 2007-04-26 04:49:52 EDT
Restarting NetworkManager service doesn't help me here. Maybe related to my
x86_64 installation, but anyway -- NM-vpnc just doesn't work me at all.
Comment 5 Denis Leroy 2007-04-26 04:59:46 EDT
Matej, this on fc-6 or fc-7 ?
Comment 6 Matěj Cepl 2007-04-26 05:14:52 EDT
fc-6 daily updated
Comment 7 Denis Leroy 2007-06-14 18:55:52 EDT
Reassigning to NetworkManager (could somebody change the component to
NetworkManager ? can't seem to be able to do it). The FC-6 version of NM needs a
bunch of patches. This looks like a bug in nm-applet. As far as i can see,
nm-vpn-properties adds the right fields to gconf.
Comment 8 Bug Zapper 2008-04-03 22:10:06 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2008-05-06 11:35:16 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.